input[type="date"]:not(.has-value):before,
input[type="file"]:not(.has-value):before {
    content: attr(placeholder);
}

.xn_cotizador .xn_registro_form {
    display: grid;
    grid-gap: 12px;
    padding: 10px;
    grid-template: auto / 1fr 1fr 1fr 1fr 1fr 1fr;
}

.xn_cotizador .xn_registro_form input {
    font-size: 12px;
}

.xn_cotizador_contenedor>h1 {
    font-size: 20px;
    margin: 0;
    padding: 10px 0px;
    text-align: left;
    color: rgba(49, 123, 255, 1.00);
    padding-left: 20px;
    display: inline-block;
}

.xn_cotizador_contenedor .xn_carrito_compras_info {
    display: inline-block;
}

.xn_cotizador_contenedor .xn_carrito_compras_info:hover {
    cursor: pointer;
}

.xn_cotizador {
    display: grid;
    grid-template: auto / 1fr 60%;
    grid-template-areas: "cotizador_formulario  cotizador_productos";
    grid-gap: 10px;
    grid-column-gap: 10px;
    width: 98%;
    margin-left: 1%;
    font-size: 12px;
}

.xn_cotizador .xn_cotizador__formulario {
    grid-area: cotizador_formulario;
    border: 1px solid #ddd;
    border-radius: 3px 3px 0px 0px;
}

.xn_cotizador .xn_cotizador__formulario-titulo,
.xn_cotizador .xn_cotizador__productos-header {
    background-color: rgb(0 158 227);
    font-size: 12px;
    /* padding-top: 5px;
    padding-bottom: 5px; */
    text-align: left;
    border-radius: 3px 3px 0px 0px;
    display: grid;
}

.xn_cotizador .xn_cotizador__productos-header {
    grid-template: 1fr/400px 1fr 1fr 1fr 1fr;
    text-align: center;
}

.xn_cotizador .xn_cotizador__formulario-titulo>span,
.xn_cotizador .xn_cotizador__productos-header>span {
    padding: 5px;
    color: white;
}

.xn_cotizador .xn_cotizador__formulario .xn_plus {
    background-color: rgba(49, 123, 255, 1.00);
    border-radius: 3px;
    color: white;
    display: block !important;
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    font-family: Cambria, "Hoefler Text", "Liberation Serif", Times, "Times New Roman", "serif";
    cursor: pointer;
    transition: background 0.3s;
    width: 25px;
    margin-left: 2px;
}

.xn_cotizador__formulario-form .xn_registro_form3_2 input {
    display: block;
    width: calc(100% - 22px);
    padding: 8px 10px;
    font-size: 14px;
    line-height: 1.42857;
    color: #555555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 1.5px;
}

.xn_cotizador__formulario-form .xn_cotizador__formulario-cuentas {
    display: flex;
    align-items: center;
}

.xn_cotizador .xn_cotizador__productos {
    grid-area: cotizador_productos;
    border: 1px solid #ddd;
    border-radius: 3px 3px 0px 0px;
}

.xn_cotizador .xn_cotizador__productos-carrito {
    margin-top: 20px;
}

.xn_cotizador .xn_cotizador__productos-almacen {
    display: grid;
    grid-template: 1fr/ 100px 300px 1fr 1fr 1fr 1fr;
    grid-template-areas: "producto_img producto_nombre producto_cantidad producto_costo producto_margen producto_precio";
    margin: 0;
    grid-gap: 2px;
    align-items: center;
}

.xn_cotizador .xn_cotizador__productos-img {
    padding: 0 10px;
    grid-area: producto_img;
    display: flex;
    flex-direction: column;
    position: relative;
}

.xn_cotizador .xn_cotizador__productos-etiqueta {
    position: absolute;
    text-align: right;
    display: flex;
    flex-direction: column;
}

.xn_cotizador .xn_cotizador__productos-etiqueta img {
    max-width: 30%;
}

.xn_cotizador .xn_cotizador__productos-descripcion {
    display: grid;
    grid-area: producto_nombre;
    padding-left: 20px;
}

.xn_cotizador .xn_cotizador__productos-descripcion>span {
    align-self: baseline;
    font-size: 12px;
    color: gray !important;
    font-style: italic;
    display: inline-flex;
}

.xn_cotizador .xn_cotizador__productos-descripcion>a>label {
    align-self: flex-end;
    color: rgba(49, 123, 255, 1.00);
    color: black;
    text-transform: uppercase;
}

.xn_cotizador .xn_cotizador__productos-descripcion>a {
    cursor: pointer;
}

.xn_cotizador .xn_cotizador__productos-descripcion>a:link,
.xn_cotizador .xn_cotizador__productos-descripcion>a:visited {
    text-decoration: none;
}

.xn_cotizador .xn_cotizador__productos-web span {
    padding: 3px 5px;
    background-color: #336BFF;
    color: white;
    border-radius: 10px;
    font-size: 10px;
    text-transform: uppercase;
    font-weight: bold;
}

.xn_cotizador .xn_cotizador__productos-cantidad {
    grid-area: producto_cantidad;
    text-align: center;
}

.xn_cotizador .xn_cotizador__productos-cantidad>span {
    justify-content: center;
}

.xn_cotizador .xn_cotizador__productos-costo {
    display: flex;
    justify-content: right;
    align-items: center;
    /* font-weight: bold; */
    flex-direction: column;
}

.xn_cotizador .xn_cotizador__productos-costo {
    grid-area: producto_costo;
}

.xn_cotizador .xn_cotizador__productos-anterior {
    color: gray !important;
    font-weight: normal !important;
    /* font-size: 15px; */
    text-decoration: line-through
}

.xn_cotizador .xn_cotizador__productos-margen {
    grid-area: producto_margen;
    text-align: center;
}

.xn_cotizador .xn_cotizador__productos-margen>input,
.xn_cotizador .xn_cotizador__productos-cantidad>input {
    width: 50%;
    text-align: center;
}

.xn_cotizador .xn_cotizador__productos-totales {
    display: grid;
    grid-template: 20px 20px 20px 20px 20px / 1fr 100px;
    text-align: right;
    font-weight: bold;
    font-size: 14px;
    margin-right: 20px;
    margin-top: 20px;
}

.xn_cotizador .xn_cotizador__productos-totales>label {
    color: rgb(0 158 227);
}

.xn_carrito_cotizar_guardar #btn_ver {
    display: none;
}

.xn_carrito_cotizar_guardar>button {
    background-color: rgba(254, 88, 1, 1.00);
    color: white;
}

.xn_carrito_cotizar_guardar>button img {
    filter: invert(0) !important;
}

.xn_carrito_cotizar_guardar>button :hover {
    color: black;
}

.xn_carrito_cotizar_guardar>button:hover img {
    filter: invert(1)!important;
}

.xn_cotizador #chk_envio {
    width: 10%;
    display: inline-block;
}

.xn_cotizador #div_costo {
    display: none;
}

.xn_cotizador .xn_cotizador__formulario-form span {
    display: inline-block;
}

.cuentas_cotizacion {
    padding: 2px;
}


/* RESPONSIVE DESIGN */


/*
    ##Dispositivo = Laptops, Desktops
    ##Resolucion = B/w 1025px to 1280px
  */

@media (min-width: 1025px) and (max-width: 1280px) {}


/*
    ##Dispositivo = Tablets, Ipads (vertical)
    ##Resolucion = B/w 768px to 1024px
  */

@media (min-width: 768px) and (max-width: 1024px) {
    .xn_cotizador .xn_cotizador__productos-header {
        grid-template: 1fr/350px 1fr 1fr 1fr 1fr;
        text-align: center;
    }
    .xn_cotizador .xn_cotizador__productos-almacen {
        /* display: grid;
        grid-template: 1fr/ 100px 250px 1fr 1fr 1fr 1fr;
        grid-template-areas: "mi_usuario mi_usuario mi_usuario " "mi_cuenta mis_usuarios mis_cotizaciones " "mis_pedidos mis_facturas .";
        margin: 0;
        grid-gap: 2px;
        align-items: center; */
    }
    .xn_cotizador__formulario-form>div {
        grid-column: 1/7 !important;
    }
    .xn_cotizador {
        grid-template: auto / 1fr 1fr;
        display: grid;
        grid-template-areas: "cotizador_formulario cotizador_productos";
        grid-gap: 10px;
        grid-column-gap: 10px;
        width: 98%;
        margin-left: 1%;
        font-size: 12px;
    }
}


/*
    ##Dispositivo = Tablets, Ipads (horizontal)
    ##Resolucion = B/w 768px to 1024px
  */

@media (min-width: 768px) and (max-width: 1024px) and (orientation: horizontal) {}


/*
    ##Dispositivo = Tablets de baja resolucion y telefnos Mobiles (horizontal)
    ##Resolucion = B/w 481px to 767px
  */

@media (min-width: 481px) and (max-width: 767px) {
    .xn_cotizador {
        display: grid;
        grid-template: auto/1fr;
        grid-template-areas: "cotizador_formulario" "cotizador_productos"!important;
        grid-gap: 10px;
        grid-column-gap: 10px;
        width: 98%;
        margin-left: 1%;
        font-size: 12px;
    }
    .xn_cotizador .xn_cotizador__productos-header {
        grid-template: 1fr/300px 1fr 1fr 1fr 1fr !important;
    }
    .xn_cotizador .xn_cotizador__productos-almacen {
        display: grid;
        grid-template: 1fr/ 80px 220px 1fr 1fr 1fr 1fr;
        grid-template-areas: "producto_img producto_nombre producto_cantidad producto_costo producto_margen producto_precio";
        margin: 0;
        grid-gap: 2px;
        align-items: center;
    }
}


/*
##Dispositivo = Mayoria de telefonos moviles (vertical)
##Resolucion = B/w 320px to 479px
*/

@media (min-width: 250px) and (max-width: 480px) {
    .xn_cotizador {
        display: grid;
        grid-template: auto/1fr;
        grid-template-areas: "cotizador_formulario" "cotizador_productos"!important;
        grid-gap: 10px;
        grid-column-gap: 10px;
        width: 98%;
        margin-left: 1%;
        font-size: 12px;
    }
    .xn_cotizador__formulario-form>div {
        grid-column: 1/7 !important;
    }
    .xn_cotizador .xn_cotizador__productos-almacen {
        display: grid;
        grid-template: 1fr/ 1fr;
        grid-template-areas: "producto_img" "producto_nombre " "producto_cantidad" " producto_costo" " producto_margen" "producto_precio";
        padding: 5px;
        grid-gap: 10px;
    }
    .xn_cotizador__productos-costo {
        flex-direction: row!important;
        justify-content: space-between!important;
    }
    .xn_cotizador__productos-header {
        display: none !important;
    }
    .xn_cotizador__productos-img {
        align-items: center;
    }
    .xn_cotizador__productos-img img {
        max-width: 50%;
    }
    .xn_cotizador .xn_cotizador__productos-descripcion {
        text-align: right;
        padding-left: 0;
    }
    .xn_cotizador .xn_cotizador__productos-descripcion>span {
        display: inline;
    }
    .xn_cotizador__productos-almacen div:before {
        content: attr(data-label);
        float: left;
        text-transform: uppercase;
        font-weight: bold;
    }
    .xn_cotizador .xn_cotizador__productos-margen>input,
    .xn_cotizador .xn_cotizador__productos-cantidad>input {
        width: 60px;
        float: right;
    }
    .xn_cotizador__productos-precio {
        text-align: right;
    }
    .xn_cotizador__productos-costo>b {}
}